aboutsummaryrefslogtreecommitdiff
path: root/templates
diff options
context:
space:
mode:
Diffstat (limited to 'templates')
-rw-r--r--templates/dup.conf.erb10
1 files changed, 9 insertions, 1 deletions
diff --git a/templates/dup.conf.erb b/templates/dup.conf.erb
index c0b689d..ee58d2f 100644
--- a/templates/dup.conf.erb
+++ b/templates/dup.conf.erb
@@ -34,7 +34,15 @@ else
# have greater precedence; see duplicity(1) for more info
duplicity -v6 --full-if-older-than $FULL_IF_OLDER_THAN \
--tempdir $TMP --encrypt-key $ENCRYPT_KEY --sign-key $SIGN_KEY \
- --exclude $TMP $EXCLUDE $INCLUDE --exclude '**' / file:///$BACKUP_FOLDER || exit 1
+ --exclude $TMP $EXCLUDE $INCLUDE --exclude '**' / file:///$BACKUP_FOLDER
+
+ if [ "$?" != "0" ]; then
+ fatal "Duplicity backup failed."
+ fi
duplicity remove-older-than $REMOVE_OLDER_THAN file:///$BACKUP_FOLDER --force || exit 1
+
+ if [ "$?" != "0" ]; then
+ fatal "Removal of old backups failed."
+ fi
fi